// TIGER
models/mapobjects/etl_tanks/dt_tiger_track_move
{
	qer_editorimage models/mapobjects/etl_tanks/dt_tiger_track.tga
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/dt_tiger_track.tga
		rgbGen lightingDiffuse
		// tcmod scroll -0.25 0
		tcmod scroll -0.5 0
	}
}

models/mapobjects/etl_tanks/dt_tiger_m_whl_move
{
	qer_editorimage models/mapobjects/etl_tanks/dt_tiger_m_whl.tga
	surfaceparm nomarks
	{
		map textures/effects/envmap_slate_90.tga
		rgbGen lightingdiffuse
		tcGen environment
	}
	{
		map models/mapobjects/etl_tanks/dt_tiger_m_whl.tga
		// blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen lightingdiffuse
		// tcMod rotate 75
		tcMod rotate 100
	}
}

models/mapobjects/etl_tanks/dt_tiger_o_whl_move
{
	qer_editorimage models/mapobjects/etl_tanks/dt_tiger_o_whl.tga
	surfaceparm nomarks
	{
		map textures/effects/envmap_slate_90.tga
		rgbGen lightingdiffuse
		tcGen environment
	}
	{
		map models/mapobjects/etl_tanks/dt_tiger_o_whl.tga
		// blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen lightingdiffuse
		// tcMod rotate 75
		tcMod rotate 100
	}
}

models/mapobjects/etl_tanks/dt_whl_trim_move
{
	qer_editorimage models/mapobjects/etl_tanks/dt_whl_trim.tga
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/dt_whl_trim.tga
		rgbGen lightingDiffuse
		// tcmod scroll 0 0.25
		tcmod scroll 0 0.5
	}
}

models/mapobjects/etl_tanks/dt_tiger_track
{
	qer_editorimage models/mapobjects/etl_tanks/dt_tiger_track.tga
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/dt_tiger_track.tga
		rgbGen lightingDiffuse
	}
}

models/mapobjects/etl_tanks/dt_tiger_m_whl
{
	qer_editorimage models/mapobjects/etl_tanks/dt_tiger_m_whl.tga
	surfaceparm nomarks
	{
		map textures/effects/envmap_slate_90.tga
		rgbGen lightingdiffuse
		tcGen environment
	}
	{
		map models/mapobjects/etl_tanks/dt_tiger_m_whl.tga
		// blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen lightingdiffuse
	}
}

models/mapobjects/etl_tanks/dt_tiger_o_whl
{
	qer_editorimage models/mapobjects/etl_tanks/dt_tiger_o_whl.tga
	surfaceparm nomarks
	{
		map textures/effects/envmap_slate_90.tga
		rgbGen lightingdiffuse
		tcGen environment
	}
	{
		map models/mapobjects/etl_tanks/dt_tiger_o_whl.tga
		// blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen lightingdiffuse
	}
}

models/mapobjects/etl_tanks/dt_whl_trim
{
	qer_editorimage models/mapobjects/etl_tanks/dt_whl_trim.tga
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/dt_whl_trim.tga
		rgbGen lightingDiffuse
	}
}

models/mapobjects/etl_tanks/dt_mg42turret
{
	qer_editorimage models/mapobjects/etl_tanks/dt_mg42turret.tga
	surfaceparm nomarks
	cull twosided
	surfaceparm nosteps
	{
	         	map textures/effects/envmap_slate_90.tga
	         	rgbGen lightingdiffuse
	         	tcGen environment
	}
	{
	         	map models/mapobjects/etl_tanks/dt_mg42turret.tga
	         	blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	         	rgbGen lightingdiffuse
	}
}

models/mapobjects/etl_tanks/dt_tiger_hull
{
	surfaceparm nosteps
	{
		map models/mapobjects/etl_tanks/dt_tiger_hull.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 0.6 )
	}
}

models/mapobjects/etl_tanks/dt_tiger_turret
{
	surfaceparm nosteps
	{
		map models/mapobjects/etl_tanks/dt_tiger_turret.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 0.6 )
	}
}

// HALFTRACK - ALLIED
models/mapobjects/etl_tanks/ht_n1
{
	cull none
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/ht_n1.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
	}
	{
		map $whiteimage	//THIS STAGE IS LIKELY THE CAUSE OF THE DISAPPEARANCE!
		blendfunc filter
		rgbGen const ( 0.6 0.6 0.6 )
	}
}

models/mapobjects/etl_tanks/ht_n2
{
	cull none
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/ht_n2.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 0.6 )
	}
}

models/mapobjects/etl_tanks/ht_whl
{
	cull none
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/ht_whl.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
		tcMod rotate 75
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 0.6 )
	}
}

models/mapobjects/etl_tanks/ht_tyre
{
	cull none
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/ht_tyre.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
		tcmod scroll 0 1
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 0.6 )
	}
}

models/mapobjects/etl_tanks/ht_whl_still
{
	cull none
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/ht_whl.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 0.6 )
	}
}

models/mapobjects/etl_tanks/ht_tyre_still
{
	cull none
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/ht_tyre.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 0.6 )
	}
}

models/mapobjects/etl_tanks/ht_b_whl
{
	cull none
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/ht_b_whl.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
		tcMod rotate 75
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 0.6 )
	}
}

models/mapobjects/etl_tanks/ht_b_whl_trim
{
	cull none
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/ht_b_whl_trim.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
		tcmod scroll 0 1
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 0.6 )
	}
}

models/mapobjects/etl_tanks/ht_track_two
{
	cull none
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/ht_track_two.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
		tcmod scroll -1 0
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 0.6 )
	}
}

models/mapobjects/etl_tanks/ht_b_whl_still
{
	cull none
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/ht_b_whl.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 0.6 )
	}
}

models/mapobjects/etl_tanks/ht_b_whl_trim_still
{
	cull none
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/ht_b_whl_trim.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 0.6 )
	}
}

models/mapobjects/etl_tanks/ht_track_two_still
{
	cull none
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/ht_track_two.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 0.6 )
	}
}

//	HALFTRACK - AXIS
models/mapobjects/etl_tanks/ht_n1_ax
{
	cull none
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/ht_n1_ax.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 0.6 )
	}
}

models/mapobjects/etl_tanks/ht_n2_ax
{
	cull none
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/ht_n2_ax.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 0.6 )
	}
}

models/mapobjects/etl_tanks/ht_whl_ax
{
	cull none
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/ht_whl_ax.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
		tcMod rotate 75
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 0.6 )
	}
}

models/mapobjects/etl_tanks/ht_whl_still_ax
{
	cull none
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/ht_whl_ax.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 0.6 )
	}
}

models/mapobjects/etl_tanks/ht_b_whl_ax
{
	cull none
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/ht_b_whl_ax.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
		tcMod rotate 75
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 0.6 )
	}
}

models/mapobjects/etl_tanks/ht_b_whl_still_ax
{
	cull none
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map models/mapobjects/etl_tanks/ht_b_whl_ax.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 0.6 )
	}
}

models/mapobjects/etl_tanks/churchill_temp
{
	{
		map textures/effects/envmap_radar.tga
		rgbGen lightingdiffuse
		tcGen environment
	}
	{
		map models/mapobjects/etl_tanks/churchill_temp.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen lightingdiffuse
	}
}

models/mapobjects/etl_tanks/churchill_temp_tracks
{
	qer_alphafunc gequal 0.5
	cull disable
	{
		map models/mapobjects/etl_tanks/churchill_temp_tracks.tga
		// alphaFunc GE128
		rgbGen lightingDiffuse
	}
}