levelshots/etl_warbell_cc_automap
{
        nopicmip
        nocompress
        nomipmaps
        {
                clampmap levelshots/etl_warbell_cc.tga
                depthFunc equal
                rgbGen identity
        }
}

levelshots/etl_warbell_cc_trans
        {
        nopicmip
        nocompress
        nomipmaps
        {
                clampmap levelshots/etl_warbell_cc.tga
                blendfunc blend
                rgbGen identity
                alphaGen vertex
        }
}

textures/etl_warbell/full_moon
{
	cull none
	nofog
	{
		map textures/etl_warbell/full_moon.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identityLighting
	}
}

textures/etl_warbell/red_moon
{
	cull none
	nofog
	{
		map textures/etl_warbell/red_moon.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identityLighting
	}
}

textures/etl_warbell/_sky
{
	qer_editorimage textures/editor/blue1.tga
	q3map_nofog
	q3map_sunExt 0.29 0.35 0.37 25 120 50 1 16 //color intensity-60 degree-120 elevation-50 deviance samples
	q3map_sun 0.29 0.35 0.37 0 120 50
	q3map_skylight 15 5
	
	nocompress
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	// skyparms - 512 -
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
	sunshader textures/etl_warbell/full_moon
	{
		map textures/etl_warbell/wurzburg_clouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.003 -0.0015
		rgbGen identityLighting
	}
	{
		map textures/etl_warbell/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		// rgbGen wave triangle -8 9 0 0.137	// 1 / 0.137 = 7.299 seconds
		rgbGen wave triangle -8 9 0 0.068	// 1 / 0.068 = 14.700 seconds
		// alphaGen wave noise -3 4 0 2.37		// 1 / 2.37 = 0.422 seconds
		alphaGen wave noise -3 4 0 1.18		// 1 / 2.37 = 0.847 seconds
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
	{
		clampmap textures/etl_warbell/wurzburg_fogmask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identitylighting
	}
}

textures/etl_warbell/_sky_lightning
{
	qer_editorimage textures/editor/blue1.tga
	q3map_nofog
	q3map_sunExt 0.29 0.35 0.37 25 120 50 1 16 //color intensity-60 degree-120 elevation-50 deviance samples
	q3map_sun 0.29 0.35 0.37 0 120 50
	q3map_skylight 15 5
	
	nocompress
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	skyparms textures/skies_sd/wurzburg_env/sky 512 -
	sunshader textures/etl_warbell/full_moon
	{
		map textures/etl_warbell/ydnar_lightning.tga
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
		rgbGen identityLighting
	}
	{
		clampmap textures/etl_warbell/wurzburg_fogmask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identitylighting
	}
}

textures/etl_warbell/_sky_purple
{
	qer_editorimage textures/editor/blue1.tga
	q3map_nofog
	q3map_sunExt 0.29 0.35 0.37 25 120 50 1 16 //color intensity-60 degree-120 elevation-50 deviance samples
	q3map_sun 0.29 0.35 0.37 0 120 50
	q3map_skylight 15 5
	
	nocompress
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	// skyparms - 512 -
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
	sunshader textures/etl_warbell/red_moon
	{
		map textures/etl_warbell/purple_clouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.003 -0.0015
		rgbGen identityLighting
	}
	{
		map textures/etl_warbell/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		// rgbGen wave triangle -8 9 0 0.137	// 1 / 0.137 = 7.299 seconds
		rgbGen wave triangle -8 9 0 0.068	// 1 / 0.068 = 14.700 seconds
		// alphaGen wave noise -3 4 0 2.37		// 1 / 2.37 = 0.422 seconds
		alphaGen wave noise -3 4 0 1.18		// 1 / 2.37 = 0.847 seconds
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
	{
		clampmap textures/etl_warbell/wurzburg_fogmask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identitylighting
	}
}

textures/etl_warbell/_sky_beam
{
	qer_editorimage textures/etl_warbell/purple_clouds.tga
	q3map_nofog
	nocompress
	surfaceparm noimpact
	surfaceparm nolightmap
	{
		map textures/etl_warbell/purple_clouds.tga
		// tcMod scale 2.5 2.5
		tcMod scroll 0.003 -0.0015
		rgbGen identityLighting
	}
	{
		map textures/etl_warbell/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		// rgbGen wave triangle -8 9 0 0.137	// 1 / 0.137 = 7.299 seconds
		rgbGen wave triangle -8 9 0 0.5	// 1 / 0.068 = 14.700 seconds
		// alphaGen wave noise -3 4 0 2.37		// 1 / 2.37 = 0.422 seconds
		alphaGen wave noise -3 4 0 1.18		// 1 / 2.37 = 0.847 seconds
		// tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/etl_warbell/_grass
{
	qer_editorimage textures/temperate_sd/master_grass_dirt3.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	//q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	surfaceparm grasssteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/temperate_sd/master_grass_dirt3.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/stone/mxrock2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_warbell/_road
{
	qer_editorimage textures/temperate_sd/dirt_m03icmp_brown.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm gravelsteps
	{
		// Primary 1
		map textures/temperate_sd/master_grass_dirt3.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/temperate_sd/dirt_m03icmp_brown.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_warbell/_rock
{
	qer_editorimage textures/terrain/cliff_m05Dcon.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	//q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		// Primary 1
		map textures/terrain/cliff_m05Dcon.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/stone/mxrock2.tga
		tcMod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_warbell/_rock_black
{
	qer_editorimage textures/terrain/cliff_m05Dcon.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	//q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		// Primary 1
		map textures/terrain/cliff_m05Dcon.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/editor/black.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_warbell/_rock_black
{
	qer_editorimage textures/terrain/cliff_m05Dcon.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	//q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		// Primary 1
		map textures/terrain/cliff_m05Dcon.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/editor/black.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_warbell/_rock_blue
{
	qer_editorimage textures/terrain/cliff_m05Dcon.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	//q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	{ 
		//Primary 1
		map textures/editor/alpha.tga
		blendFunc blend
		depthwrite
//		rgbGen identity
	}
	{
		// Secondary
		map textures/editor/black.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_warbell/_cavefloor
{
	qer_editorimage textures/stone/dirt_m03.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	//q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	surfaceparm gravelsteps
	{
		// Primary 1
		map textures/terrain/cliff_m05Dcon.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/stone/dirt_m03.tga
		tcMod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_warbell/_cavetop
{
	qer_editorimage textures/stone/mxrock4ca.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	//q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	surfaceparm gravelsteps
	{
		// Primary 1
		map textures/terrain/cliff_m05Dcon.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/stone/mxrock4ca.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_warbell/_mountain
{
	qer_editorimage textures/stone/mxrock2bo.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	//q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		// Primary 1
		map textures/terrain/cliff_m05Dcon.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/stone/mxrock2bo.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_warbell/rock_autoclip
{
	qer_editorimage textures/terrain/cliff_m05Dcon.tga
	implicitMap textures/terrain/cliff_m05Dcon.tga
	q3map_clipModel
}

textures/etl_warbell/pin_allied
{
	qer_editorimage gfx\loading\pin_allied.tga
	polygonOffset
	implicitMask gfx\loading\pin_allied.tga
}

textures/etl_warbell/waterfall
{
	qer_editorimage textures/editor/orange5.tga
	qer_trans 0.6
	// q3map_lightrgb 0.5 0.5 0.5
	q3map_lightrgb 0.4 0.4 0.5
	q3map_nonplanar
	q3map_forcemeta
	q3map_bouncescale 0
	q3map_shadeangle 178
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/etl_warbell/water_overlay.tga
		tcgen vector ( 0.00390625 0 0 ) ( 0 0 0.00048828125 )  // 256 2048
		rgbgen wave sin 0.3 0.15 0 0.3
		tcmod turb 0 0.02 0.3 0.3
		tcmod scroll 0 0.5
		alphagen oneminusvertex
		blendfunc gl_src_alpha gl_one
	}
	{
		map textures/etl_warbell/water_dark.tga
		rgbgen identity
		tcgen vector ( 0.00390625 0 0 ) ( 0 0 0.00048828125 )  // 256 2048
		tcmod turb 0 0.02 0.3 0.3
		tcmod scroll 0 0.5
		alphagen oneminusvertex
		blendfunc gl_src_alpha gl_one
	}
	{
		map $lightmap
		// rgbgen wave sin 1 0.8 0 0.2
		rgbgen wave sin 0.1 0.5 0.75 0.2
		alphagen oneminusvertex
		blendfunc gl_src_alpha gl_one
	}
}

textures/etl_warbell/water
{
	qer_editorimage textures/editor/green5.tga
	q3map_cloneShader textures/etl_warbell/water_inside
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	deformVertexes wave 160 sin 0 10 0 .3
	// cull none
	{ 
		//Primary 1
		map textures/etl_warbell/water_dark.tga
		rgbGen identity
		tcmod turb 0 0.03 0 0.40
		tcmod scroll 0 0.085
		depthwrite
	}
	{
		//Secondary
		map textures/liquids_sd/seawall_foam.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
		tcmod turb 0 0.02 0 0.30    
		tcmod scroll 0 0.085
		depthwrite
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/etl_warbell/water_black
{
	qer_editorimage textures/editor/green1.tga
	q3map_cloneShader textures/etl_warbell/water_inside_black
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	deformVertexes wave 160 sin 0 10 0 .3
	// cull none
	{ 
		//Primary 1
		map textures/editor/black.tga
		rgbGen identity
		tcmod turb 0 0.03 0 0.40
		tcmod scroll 0 0.085
		depthwrite
	}
	{
		//Secondary
		map textures/liquids_sd/seawall_foam.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
		tcmod turb 0 0.02 0 0.30    
		tcmod scroll 0 0.085
		depthwrite
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/etl_warbell/water_inside
{
	qer_editorimage textures/etl_warbell/water_overlay.tga
	deformVertexes wave 160 sin 0 10 0.5 0.3
	surfaceparm nolightmap
	q3map_invert
	{
		map textures/etl_warbell/water_dark.tga
		blendfunc gl_src_alpha gl_one
		rgbgen wave sin 0.2 0.1 0.6 0.3
		tcmod turb 0 0.03 0 0.40
		tcmod scroll 0 0.085
	}
	{
		map textures/etl_warbell/water_overlay.tga
		blendfunc gl_src_alpha gl_one
		rgbgen wave sin 0.2 0.1 0.6 0.3
		tcmod turb 0 0.02 0 0.30    
		tcmod scroll 0 0.085
	}
}

textures/etl_warbell/water_inside_black
{
	qer_editorimage textures/etl_warbell/water_overlay.tga
	deformVertexes wave 160 sin 0 10 0.5 0.3
	surfaceparm nolightmap
	q3map_invert
	{
		map textures/etl_warbell/water_dark.tga
		blendfunc gl_src_alpha gl_one
		rgbgen wave sin 0.2 0.1 0.6 0.3
		tcmod turb 0 0.03 0 0.40
		tcmod scroll 0 0.085
	}
	{
		map textures/etl_warbell/water_overlay.tga
		blendfunc gl_src_alpha gl_one
		rgbgen wave sin 0.2 0.1 0.6 0.3
		tcmod turb 0 0.02 0 0.30    
		tcmod scroll 0 0.085
	}
	{
		// Secondary
		map textures/editor/black.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen oneminusvertex
		rgbGen identity
		tcmod turb 0 0.02 0 0.30    
		tcmod scroll 0 0.085
	}
}

textures/etl_warbell/water_pond
{
	qer_editorimage textures/editor/purple5.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_alphaGen const 0.75
	cull none
	{ 
		//Primary 1
		map textures/etl_warbell/water_dark.tga
		blendFunc blend
		alphaGen vertex
		rgbGen identity
		tcmod turb 0 0.02 0 0.30
		depthwrite
	}
	{
		map textures/etl_warbell/water_overlay.tga
		blendfunc gl_src_alpha gl_one
		alphagen oneminusvertex
		rgbgen wave sin 0.5 0.1 0.6 0.3
		tcmod turb 0 0.02 0 0.30 
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/etl_warbell/waterfall_spray1
{
	qer_editorimage textures/etl_warbell/water_spray01.tga
	q3map_globaltexture
	deformvertexes autosprite
	surfaceparm pointlight
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm trans
	cull disable
	{
		clampmap textures/etl_warbell/water_spray01.tga
		alphagen wave sin 1 0.4 0 0.8
		tcmod stretch sin 1 0.1 0 1
		tcmod rotate 400
		blendfunc gl_src_alpha gl_one
	}
}

textures/etl_warbell/waterfall_spray2
{
	qer_editorimage textures/etl_warbell/water_spray01.tga
	q3map_globaltexture
	deformvertexes autosprite
	surfaceparm pointlight
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm trans
	cull disable
	{
		clampmap textures/etl_warbell/water_spray01.tga
		alphagen wave sin 1 0.4 0.1 0.8
		tcmod stretch sin 1 0.1 0.2 1
		tcmod rotate -400
		blendfunc gl_src_alpha gl_one
	}
}

textures/etl_warbell/_fog_grey
{
	qer_editorimage textures/editor/grey1.tga
	qer_trans 0.6
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcgen ivector ( 512 0 0 ) ( 0 512 0 )
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/etl_warbell/fog_grey.tga
		// tcmod turb 0 0.02 0 0.30
		tcmod turb 0 0.01 0 0.15
		alphagen oneminusvertex
		blendfunc gl_src_alpha gl_one
	}
	{
		map $lightmap
		blendFunc GL_ZERO GL_ONE // ONE
		alphagen vertex
		rgbGen identity
	}
}

textures/etl_warbell/_fog_yellow
{
	qer_editorimage textures/editor/yellow1.tga
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm nomarks
	q3map_tcgen ivector ( 512 0 0 ) ( 0 512 0 )
	qer_trans .5
	{
		map textures/etl_warbell/fog_yellow.tga
		blendFunc blend
		rgbGen identity
		alphaGen oneminusvertex
		tcmod scroll 0.025 0
		tcmod turb 0 0.01 0 0.15
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
		depthfunc equal
	}
}

textures/etl_warbell/_fog_grey_large
{
	qer_editorimage textures/editor/grey1.tga
	qer_trans 0.6
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcgen ivector ( 2048 0 0 ) ( 0 2048 0 )
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/etl_warbell/fog_grey.tga
		// tcmod turb 0 0.02 0 0.30
		tcmod turb 0 0.01 0 0.15
		alphagen oneminusvertex
		blendfunc gl_src_alpha gl_one
	}
	{
		map $lightmap
		blendFunc GL_ZERO GL_ONE // ONE
		alphagen vertex
		rgbGen identity
	}
}

textures/etl_warbell/_fog_yellow_large
{
	qer_editorimage textures/editor/yellow1.tga
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm nomarks
	q3map_tcgen ivector ( 2048 0 0 ) ( 0 2048 0 )
	qer_trans .5
	{
		map textures/etl_warbell/fog_yellow.tga
		blendFunc blend
		rgbGen identity
		alphaGen oneminusvertex
		tcmod scroll 0.025 0
		tcmod turb 0 0.01 0 0.15
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
		depthfunc equal
	}
}

//	FOR MISC_MODEL
models/mapobjects/knight/knt_miscmodel
{
	qer_editorimage models/mapobjects/knight/knt.tga
	cull twosided
	{
		map textures/effects/tinfx.jpg
		rgbGen identity
		tcGen environment
	}
	{
		map models/mapobjects/knight/knt.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// FOR MISC_MODEL
models/mapobjects/knight/weap_miscmodel
{
	qer_editorimage models/mapobjects/knight/weap.tga
	cull twosided
	{
		map textures/effects/tinfx.jpg
		rgbGen identity
		tcGen environment
	}
	{
		map models/mapobjects/knight/weap.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_warbell/rock_autoclip
{
	qer_editorimage textures/terrain/cliff_m05Dcon.tga
	q3map_lightmapSampleOffset 2
	q3map_forceMeta
	q3map_clipModel
	implicitMap textures/terrain/cliff_m05Dcon.tga
}

textures/etl_warbell/vortex				//texture + baseshader by FIREFLY
{
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	
	{
		clampMap textures/etl_warbell/vortex.tga
		blendFunc blend
		rgbGen vertex
		rgbGen wave sin 0.6 0.05 0 0.25
		tcMod stretch sin 0.95 0.05 0 0.01
		tcmod rotate 10
	}
}

textures/etl_warbell/flare					//texture + shader BY FIREFLY
{
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
	deformVertexes autoSprite
	qer_editorimage textures/etl_warbell/flare.tga	

	{
		clampmap textures/etl_warbell/flare.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identity
	}

}

textures/etl_warbell/lightning
{
	q3map_lightimage textures/etl_warbell/lightning.tga
	qer_trans .9
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	nopicmip
	deformVertexes wave 256 sin 0 4 0 0.1
	{
		map textures/etl_warbell/lightning.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.17 0.018 0 0.18
		tcmod scroll 0.42 0
	}
	{
		map textures/etl_warbell/stars.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.18 0.03 1 0.1
		tcmod scroll 0.4 0
	}
	{
		map textures/etl_warbell/stars2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.21 0.24 1 0.25
		tcmod scroll 0.42 0
	}
}

textures/etl_warbell/lightning_yellow
{
	q3map_lightimage textures/etl_warbell/lightning.tga
	qer_trans .9
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	nopicmip
	deformVertexes wave 256 sin 0 4 0 0.1
	{
		map textures/etl_warbell/lightning_yellow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.17 0.018 0 0.18
		tcmod scroll 0.42 0
	}
	{
		map textures/etl_warbell/stars.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.18 0.03 1 0.1
		tcmod scroll 0.4 0
	}
	{
		map textures/etl_warbell/stars2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.21 0.24 1 0.25
		tcmod scroll 0.42 0
	}
}

textures/etl_warbell/lightning_red
{
	q3map_lightimage textures/etl_warbell/lightning.tga
	qer_trans .9
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	nopicmip
	deformVertexes wave 256 sin 0 4 0 0.1
	{
		map textures/etl_warbell/lightning_red.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.17 0.018 0 0.18
		tcmod scroll 0.42 0
	}
	{
		map textures/etl_warbell/stars.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.18 0.03 1 0.1
		tcmod scroll 0.4 0
	}
	{
		map textures/etl_warbell/stars2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.21 0.24 1 0.25
		tcmod scroll 0.42 0
	}
}

textures/etl_warbell/lights_neutral
{
	qer_editorimage textures/lights/light_tp_m05.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m05.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/etl_warbell/lights_red
{
	qer_editorimage textures/lights/light_tp_m07.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m07.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/etl_warbell/lights_green
{
	qer_editorimage textures/lights/light_tp_m06.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m06.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/etl_warbell/window_c07a
{
	qer_editorimage textures/chateau/window_c07a.tga
	q3map_surfacelight 20
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/chateau/window_c07a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/chateau/window_c05.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/etl_warbell/window_c08a
{
	qer_editorimage textures/chateau/window_c08a.tga
	q3map_surfacelight 20
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/chateau/window_c08a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/chateau/window_c04.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/etl_warbell/cable_m01
{
	qer_editorimage textures/props/cable_m01.tga
	q3map_nonplanar
	q3map_shadeAngle 90
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map textures/props/cable_m01.tga
		rgbGen lightingDiffuse
		rgbGen const ( 0.6 0.6 0.6 )
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_warbell/cable_moving
{
	qer_editorimage textures/props/cable_m01.tga
	q3map_nonplanar
	q3map_shadeAngle 90
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map textures/props/cable_m01.tga
		rgbGen lightingDiffuse
		rgbGen const ( 0.6 0.6 0.6 )
		tcmod scroll -2 0
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_warbell/cable_moving_inverted
{
	qer_editorimage textures/props/cable_m01.tga
	q3map_nonplanar
	q3map_shadeAngle 90
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map textures/props/cable_m01.tga
		rgbGen lightingDiffuse
		rgbGen const ( 0.6 0.6 0.6 )
		tcmod scroll 2 0
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_warbell/_fog
{
	qer_editorimage textures/editor/grey5.tga
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	
	fogparms ( 0.4 0.4 0.5 ) 32384
}

textures/etl_warbell/_fog_purple
{
	qer_editorimage textures/editor/grey5.tga
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	
	fogparms ( 0.75 0.3 0.2 ) 32384
}



textures/sfx/xflame2_1750_nolick_sprite1
{
	qer_editorimage textures/sfx/flame1_purple.tga
	cull none
	nofog
	deformvertexes autosprite
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		animMap 10 textures/sfx/flame1_purple.tga textures/sfx/flame2_purple.tga textures/sfx/flame3_purple.tga textures/sfx/flame4_purple.tga textures/sfx/flame5_purple.tga textures/sfx/flame6_purple.tga textures/sfx/flame7_purple.tga textures/sfx/flame8_purple.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2_purple.tga textures/sfx/flame3_purple.tga textures/sfx/flame4_purple.tga textures/sfx/flame5_purple.tga textures/sfx/flame6_purple.tga textures/sfx/flame7_purple.tga textures/sfx/flame8_purple.tga textures/sfx/flame1_purple.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball_purple.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/sfx/xflame2_1750_nolick_sprite2
{
	qer_editorimage textures/sfx/flame1_purple.tga
	cull none
	nofog
	deformvertexes autosprite
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		animMap 10 textures/sfx/flame4_purple.tga textures/sfx/flame5_purple.tga textures/sfx/flame6_purple.tga textures/sfx/flame7_purple.tga textures/sfx/flame8_purple.tga textures/sfx/flame1_purple.tga textures/sfx/flame2_purple.tga textures/sfx/flame3_purple.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame5_purple.tga textures/sfx/flame6_purple.tga textures/sfx/flame7_purple.tga textures/sfx/flame8_purple.tga textures/sfx/flame1_purple.tga textures/sfx/flame2_purple.tga textures/sfx/flame3_purple.tga textures/sfx/flame4_purple.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball_purple.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/mp_castle/cherry1
{
	qer_trans 0.85
	polygonOffset
	cull disable
	nopicmip
	surfaceparm pointlight
	surfaceparm nonsolid
	implicitBlend -
	implicitMask textures/mp_castle/cherry1.tga
	deformVertexes wave 30 sin 0 1 0 0.2
	{
		tcmod rotate 30
	}
}

textures/etl_warbell/ember
{
	cull none
	entitymergable
	nofog
	nopicmip
	sort decal
	{
		clampmap textures/etl_warbell/ember.tga
		blendfunc blend
		rgbgen vertex
	}
}

models/etl_warbell/ster
{
	qer_editorimage models/etl_warbell/ster.tga
	surfaceparm nolightmap
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none	
	{
		map models/etl_warbell/ster.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identity
	}
	{
		map models/etl_warbell/ster.tga
		blendfunc add
		rgbGen identity
	}
}

textures/sfx/torch_flame
{
	qer_editorimage textures/sfx/flame1.tga
	q3map_surfacelight 2500
	q3map_lightRGB 1 0.537255 0.380392
	cull none
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}